package leo.tbd.vc.mixin;

import leo.tbd.vc.TBDVoiceChat;
import net.minecraft.client.network.ClientPlayNetworkHandler;
import net.minecraft.network.packet.s2c.play.GameMessageS2CPacket;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.injection.At;
import org.spongepowered.asm.mixin.injection.Inject;
import org.spongepowered.asm.mixin.injection.callback.CallbackInfo;

@Mixin(ClientPlayNetworkHandler.class)
public class ChatMixin {
	@Inject(method = "onGameMessage", at = @At("HEAD"), cancellable = true)
	public void onGameMessage(GameMessageS2CPacket packet, CallbackInfo ci) {
		if (TBDVoiceChat.INSTANCE.processGameMessage(packet.content().getString())) {
			ci.cancel();
		}
	}
}
